// 学习社群模块 共用方法

// 精华essential、置顶top、高亮highLight 颜色
var topic_color = ['gray', 'essential', 'top', 'highlight'];
// 话题 颜色
function topicColor(item) {
    var colorIndex = 0;
    if (item.essential != null && item.essential == true) {
        colorIndex = 1;
    }
    if (item.top != null && item.top == true) {
        colorIndex = 2;
    }
    if (item.highLight != null && item.highLight == true) {
        colorIndex = 3;
    }
    return colorIndex;
}
// 普通贴#的话题 颜色
function topicNoteColor(item) {
    var colorIndex = 0;
    if (item.topicNoteEssential != null && item.topicNoteEssential == true) {
        colorIndex = 1;
    }
    if (item.topicNoteTop != null && item.topicNoteTop == true) {
        colorIndex = 2;
    }
    if (item.topicNoteHighLight != null && item.topicNoteHighLight == true) {
        colorIndex = 3;
    }
    return colorIndex;
}

// 进入话题页面
function tolink_discuss_topic() {
    var id = $(this).attr('id');
    var name = $(this).attr('name');
    var color = $(this).attr('data-color');
    appcan.locStorage.setVal("isTopicColor", color);
    appcan.locStorage.setVal("curTopicId", id);
    appcan.locStorage.setVal("curTopicName", name);
    appcan.openWinWithUrl("discuss_topic", "discuss_topic.html", 5, 2);
}

// 进入回复页面
function tolink_discuss_reply() {
    var id = $(this).attr('id');
    appcan.locStorage.setVal("curPostinfoId", id);
    appcan.openWinWithUrl("discuss_reply", "discuss_reply.html", 5, 2);
}

// 点赞
function handleSupport(data) {
    appcan.request.ajax({
        url : "http://" + server + '/mobile/reply/note/add.json',
        data : data,
        dataType : "json",
        type : "get",
        success : function(json) {
            if (json.code == 200) {
                appcan.window.openToast("操作成功！", 2000);
                //刷新列表
                topPullToInitData(0);
            } else {
                appcan.window.openToast("操作失败！", 2000);
            }
        },
        error : function(xhr, erroType, error, msg) {
            appcan.window.openToast("请求失败，请稍后再试", 2000);
        }
    });
}

// 取消赞
function deleSupport(supportId) {
    appcan.request.ajax({
        url : "http://" + server + '/mobile/reply/note/delete.json',
        data : {
            id : supportId
        },
        dataType : "json",
        type : "get",
        success : function(json) {
            if (json.code == 200) {
                appcan.window.openToast("操作成功！", 2000);
                //刷新列表
                topPullToInitData(0);
            } else {
                appcan.window.openToast("操作失败！", 2000);
            }
        },
        error : function(xhr, erroType, error, msg) {
            appcan.window.openToast("请求失败，请稍后再试", 2000);
        }
    });
}

// 话题贴  discuss_content.html、alt_member_content.html、haspost_content.html 三个页面用到
function topic_html(item){
    var tpl = '';
    var imgLen = item.images!=null?item.images.length: 0;
    if(imgLen>3){
        imgLen = 3;
    }
    var altMemberIds = item.altMemberIds!=null&&item.altMemberIds!=""?item.altMemberIds.split(';'):'';
    var altMemberNames = item.altMemberNames!=null&&item.altMemberNames!=""?item.altMemberNames.split(';'):'';
    var colorIndex = topicColor(item);
    
    tpl += '<div class="ub ub-ver ubb module clear">'+
    '    <div class="ub uinn-a">'+
    '        <div class="ub ub-ver ub-f1">'+
    '            <div class="ulev-1 bc-text pos_re">'+
    '                <img class="user-pic" src="' + (item.headerUrl!=""&&item.headerUrl!=null?item.headerUrl:"../../image/user.png") + '" />'+
    (item.hasForumAttr!=null&&item.hasForumAttr==true?'<div class="ub-img icon-V pos-icon"></div>':"") + 
    '                <div class="pos-info">' + item.posterName + '</div>'+
    '            </div>'+
    '        </div>'+
    '        <div class="ub ub-ac ub-pe ulev-1">'+
    '            <div class="btn ub ub-ac ub-pc uc-a1 btn-attend" id="' + item.id + '"  name="' + item.content + '" data-color="'+ topic_color[colorIndex] +'">'+
    '                参加交流'+
    '            </div>'+
    '        </div>'+
    '    </div>'+
    '    <div class="ulev-1 bc-text module-detail">'+
    '        <div class="popover c-'+ topic_color[colorIndex] +' '+ (imgLen>0?'bg-img-none':'') +'">'+
    '            <div class="ub-img icon-yinhao"></div>'+
    '            <div class="arrow"></div>'+
    '            <div class="popover-content">'+
    '                <div class="topic isTopic" id="' + item.id + '"  name="' + item.content + '" data-color="'+ topic_color[colorIndex] +'">' + item.content ;
    if(altMemberIds!=null&&altMemberIds!=""){
        $.each(altMemberIds, function(index, it) {
            if(it!=""){
                tpl+= '<span class="links altMember" id="' + it + '">@' + altMemberNames[index] + '</span>';
            }                                        
        });
    } 
    tpl+= '          </div>'+
    ' <div class="detail-pic pos_re num-' + imgLen + '">';     
    if(item.images!=null){                             
        $.each(item.images, function(inx, it) {
            if(inx<3){
                tpl+= '<img src="' + it + '" data-original="' + it + '" alt="">';
            }                                       
        });
    }  
    if(item.images!=null&&imgLen==3){
        tpl+= '<div class="pic-more"><span class="more">' + item.images.length + '</span></div>';
    }
    tpl+= ' </div>'+
    '                <div class="ub pd-2">'+
    '                    <div class="ub ub-ver ub-f1">'+ item.timeCreated +'</div>'+
    '                    <div class="ub ub-ver ub-f1 click-topic-coment" id="' + item.id + '"  name="' + item.content + '" data-color="'+ topic_color[colorIndex] +'">'+
    '                        参与数：'+ (item.takinNum!=null&&item.takinNum!=""?item.takinNum:0) +
    '                    </div>'+
    '                    <div class="ub ub-ver ub-f1 click-praise ' + (item.support!=null&&item.support==true?"active":"") + '" id="' + item.id + '" data-support="' + (item.support!=null&&item.support!=""?item.support:'') + '" data-supportId="' + (item.supportId!=null&&item.supportId!=""?item.supportId:'') + '" data-type="SupportTopic">'+
    '                        赞：<span class="praise-num">' + (item.supportNum!=null&&item.supportNum!=""?item.supportNum:0) + '</span>'+
    '                    </div>'+
    '                    <div class="ub ub-ver ub-f1 ' + (item.essential != null && item.essential == true?"":"hide") + '">精华</div>'+
    '                    <div class="ub ub-ver ub-f1 ' + (item.top != null && item.top == true?"":"hide") + '">置顶</div>'+
    '                    <div class="ub ub-ver ub-f1 ' + (item.highLight != null && item.highLight == true?"":"hide") + '">高亮</div>'+
    '                </div>'+
    '            </div>'+
    '        </div>'+
    '    </div>'+
    '</div>';
    return tpl;
}
// 普通贴  discuss_content.html、discuss_topic_content.html、alt_member_content.html、haspost_content.html 四个页面用到
function postInfo_html(item){
    var tpl = '';
    var imgLen = item.images!=null?item.images.length: 0;
    if(imgLen>3){
        imgLen = 3;
    }
    var altMemberIds = item.altMemberIds!=null&&item.altMemberIds!=""?item.altMemberIds.split(';'):'';
    var altMemberNames = item.altMemberNames!=null&&item.altMemberNames!=""?item.altMemberNames.split(';'):'';
    var colorIndex = topicNoteColor(item);
    tpl += '<div class="ub ub-ver ubb module clear">'+
    '    <div class="ub uinn-a">'+
    '        <div class="ub ub-ver ub-f1">'+
    '            <div class="ulev-1 bc-text pos_re">'+
    '                <img class="user-pic" src="' + (item.headerUrl!=""&&item.headerUrl!=null?item.headerUrl:"../../image/user.png") + '" />'+
    (item.hasForumAttr!=null&&item.hasForumAttr==true?'<div class="ub-img icon-V pos-icon"></div>':"") + 
    '                <div class="pos-info2">' + item.posterName + '<br>'+
    '                    <span class="sc-text ulev-4">' + (item.posterDeptName!=null&&item.posterDeptName!=""?item.posterDeptName:"") + '</span>'+
    '                </div>'+
    '            </div>'+
    '        </div>'+
    '    </div>'+
    '    <div class="ulev-1 bc-text text module-detail">'+
    '        <div class="ub bc-bd ub-ver ub-f1">'+
    '                <p class="detail-content isPostinfo" id="' + item.id + '">' + item.content ;
    if(altMemberIds!=null&&altMemberIds!=""){
        $.each(altMemberIds, function(index, it) {
            if(it!=""){
                tpl+= '<span class="links altMember" id="' + it + '">@' + altMemberNames[index] + '</span>';
            }                                        
        });
    }
    tpl+= '</p>'+
    '<div class="detail-pic pos_re num-' + imgLen + '">';
    if(item.images!=null){                             
        $.each(item.images, function(inx, it) {
            if(inx<3){
                tpl+= '<img src="' + it + '" data-original="' + it + '" alt="">';
            }                                       
        });
    }  
    if(item.images!=null&&imgLen==3){
        tpl+= '<div class="pic-more"><span class="more">' + item.images.length + '</span></div>';
    }
    tpl+= '      </div>'+
    '            <p class="detail-topic clear" id="' + item.topicNoteId + '"  name="' + item.topicNoteContent + '" data-color="'+ topic_color[colorIndex] +'">'+
    '                # <span>' + (item.topicNoteContent!=null&&item.topicNoteContent!=""?item.topicNoteContent:"") + '</span>'+
    '            </p>'+
    '            <div class="ulev-1 sc-text detail-info">'+
    '                <div class="pull-left">' + item.timeCreated + '</div>'+
    '                <div class="pull-right">'+
    '                    <div class="pull-left pr-1 click-praise ' + (item.support!=null&&item.support==true?"active":"") + '" id="' + item.id + '" data-support="' + (item.support!=null&&item.support!=""?item.support:'') + '" data-supportId="' + (item.supportId!=null&&item.supportId!=""?item.supportId:'') + '" data-type="SupportPost">'+
    '                        赞：'+
    '                        <span class="praise-num">' + (item.supportNum!=null&&item.supportNum!=""?item.supportNum:0) + '</span>'+
    '                    </div>'+
    '                    <div class="pull-left click-coment" id="' + item.id + '">'+
    '                        回复数：'+ (item.replyNum!=null&&item.replyNum!=""?item.replyNum:0) +
    '                    </div>'+
    '                </div>'+
    '            </div>';
    if(item.replies!=null){
        tpl+= '<div class="popover popover-topic c-gray">'+
        '            <div class="arrow"></div>'+
        '            <div class="popover-content">'+
        '                <div class="coment-list">';
        $.each(item.replies, function(index, it) {
            if(index<2){
                tpl+= '<p class="topic-coment ulev-1 clear">'+'<span class="creator">' + it.replierName + '-' + (it.replierDeptName!=null&&it.replierDeptName!=""?it.replierDeptName:"") + '</span>';
                if(it.reReplierName!=null&&it.reReplierName!=""){
                    tpl += '<span class="reply"> 回复 </span><span class="creator">' + it.reReplierName + '-' + it.reReplierDeptName +'：</span>';
                }
                tpl += '<span class="content">' + (it.content!=null&&it.content!=""?it.content:'') + '</span>'+'</p>';
            }
        });
        tpl+= '</div>'+
        '                <div class="ub uinn-esh3">'+
        '                    <div class="ub-f1"></div>'+
        '                    <div class="more ulev-1 more-reply"  id="' + item.id + '">'+
        '                        更多回复 >>'+
        '                    </div>'+
        '                </div>'+
        '            </div>'+
        '        </div>'+
        '</div>';
    }
    tpl+= '    </div>'+
    '    </div>'+
    '</div>';
    return tpl;
}

// 普通贴 回复  discuss_reply_content.html、haspost_content.html 二个页面用到
function reply_html(item){
    var tpl = '';
    tpl += '<div class="ub ub-ver reply" id="' + item.id + '" replierName=' + item.replierName + ' replierId="' + item.replierId + '">'+
        '    <div class="ub ub-pj">'+
        '        <div class="bc-text pos_re">'+
        '            <img class="user-photo" src="' + (item.replierHeaderUrl!=""&&item.replierHeaderUrl!=null?item.replierHeaderUrl:"../../image/user.png") + '"/>'+
        (item.hasForumAttr!=null&&item.hasForumAttr==true?'<div class="ub-img icon-V icon-pos"></div>':"") + 
        '        </div>'+
        '        <div class="ub ub-f1 sc-text ulev-1 uesr-info">'+
        '            ' + item.replierName + '-' + (item.replierDeptName!=null&&item.replierDeptName!=""?item.replierDeptName:"") +
        '        </div>'+
        '        <div class="ub ub-f1 sc-text ulev-1 ub-pe reply-timecreated">' + item.timeCreated + '</div>'+
        '    </div>'+
        '    <div class="ub ub-pj ulev-1 bc-text reply-content">';
    if(item.reReplierName!=null&&item.reReplierName!=""){
        tpl += '<span class="reply"> 回复 </span><span class="sc-text">' + item.reReplierName + '-' + item.reReplierDeptName +'：</span>';
    }
    tpl += (item.content!=null&&item.content!=""?item.content:'') + '</div></div>';  
    return tpl;
}